%define upstream_name    Net-Server-Mail
%define upstream_version 0.23

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    The base class for ESMTP extension system
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket::SSL) >= 1.831.0
BuildRequires: perl(Net::SMTP)
BuildRequires: perl(Test::Most)
BuildArch:  noarch

%description
This module is a versatile and extensible implementation of the SMTP
protocol and its different evolutions like ESMTP and LMTP. The event driven
object-oriented API makes easy to incorporate the SMTP protocol to your
programs.

Other SMTPd implementations don't support useful ESMTP extensions and the
LMTP protocol. Their interface design precludes adding them later. So I've
decided to rewrite a complete implementation with extensibility in mind.

It provides mechanism to easy addition future or not yet implemented ESMTP
extensions. Developers can hook code at each SMTP session state and change
the module's behaviors by registering event call-backs. The class is
designed to be easily inherited from.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYING Changes LICENSE META.json META.yml MYMETA.yml TODO eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.230.0-2.mga6
+ Revision: 1031320
- Rebuild for perl 5.22.2

* Mon Jan 04 2016 shlomif <shlomif> 0.230.0-1.mga6
+ Revision: 919639
- update to 0.23

* Thu Sep 10 2015 shlomif <shlomif> 0.220.0-1.mga6
+ Revision: 875382
- New version 0.22

* Wed Oct 15 2014 umeabot <umeabot> 0.210.0-4.mga5
+ Revision: 742887
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.210.0-3.mga5
+ Revision: 685732
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.210.0-2.mga4
+ Revision: 534062
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.210.0-1.mga4
+ Revision: 476163
- update to 0.21

* Thu May 23 2013 kharec <kharec> 0.200.0-1.mga4
+ Revision: 425375
- Add Test::Most as a BR
- Add IO::Socket::SSL as a BR
- update to 0.20

* Fri Mar 08 2013 kharec <kharec> 0.180.0-1.mga3
+ Revision: 401753
- imported package perl-Net-Server-Mail


* Fri Mar 08 2013 cpan2dist 0.18-1mga
- initial mageia release, generated with cpan2dist
